%define oname   pyxdg

Name:             python-pyxdg
Summary:          Python library to access freedesktop.org standards
Version:          0.25
Release:          %mkrel 3
BuildArch:        noarch
Source0:          http://people.freedesktop.org/~takluyver/%{oname}-%{version}.tar.xz
URL:              http://www.freedesktop.org/Software/pyxdg
Patch0:		  pyxdg-0.25-find-first-mimetype-match.patch
Group:            System/Libraries
License:          LGPLv2
BuildRequires:    python-devel
BuildRequires:    python3-devel
Obsoletes:        pyxdg < %version
Provides:	  pyxdg = %version-%release

%description
PyXDG is a python library to access freedesktop.org standards. 
Currently supported are:

	* Base Directory Specification Version 0.6 
	* Menu Specification Version 1.0 
	* Desktop Entry Specification Version 1.0 
	* Icon Theme Specification Version 0.8 
	* Recent File Spec 0.2 
	* Shared-MIME-Database Specification 0.13 

%package -n python3-pyxdg
Summary:	Python3 library to access freedesktop.org standards
Group:		System/Libraries

%description -n python3-pyxdg
PyXDG is a python library to access freedesktop.org standards. This
package contains a Python 3 version of PyXDG.
	

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
python setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd

python setup.py install --root=%{buildroot}

%files
%doc AUTHORS COPYING ChangeLog README TODO
%{python_sitelib}/xdg
%{python_sitelib}/pyxdg-*.egg-info

%files -n python3-pyxdg
%doc AUTHORS COPYING ChangeLog README TODO
%{python3_sitelib}/xdg
%{python3_sitelib}/pyxdg-*.egg-info


%changelog
* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 0.25-3pclos2015
- rebuild on python 3.4.2

* Fri Apr 11 2014 bb <bb> 0.25-2pclos2014
- add python3 support

* Fri Aug 10 2013 billybot <billybot> 0.25-1pclos2013
- update
